<?php
// +-----------------------------------------------------------------------+
// | Mod Name : Download_multi                                             |
// | Mod Version : 0.8                                                     |
// | Mod Orignal author: Tboris                                            |
// | Mod Second author : Cestlodovic                                       |
// | Mod Version author : FlipFlip <flipflip@free.fr>                      |
// | Mod description :                                                     |
// | Ce module est base sur le module existant pour le telechargement,     |
// | cette version permet le telechargement sur plusieurs pages.           |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

//--------------------------------------------------------------------- include
define('PHPWG_ROOT_PATH','../../../');
include_once(PHPWG_ROOT_PATH.'include/common.inc.php');

$title = ' Download Multi : Panier';
$page['body_id'] = 'DownloadMulti';
$page['section'] = '';
include(PHPWG_ROOT_PATH.'include/page_header.php');

// Rcupration de la class du plugin
$DownloadMulti = get_plugin_data('download_multi');

$template->set_filenames(
  array('DownloadMulti_panier' => $DownloadMulti->plugin_path.'/template/DmPanier.tpl')
);

@$DmAction = $_GET['DmAction'];
@$url = get_root_url().$_POST['DmPanier'];

$template->assign_block_vars(
    'telechargement',
        array(
            'U_HOME' => duplicate_index_URL(),
            'U_HELP' => PHPWG_ROOT_PATH.'popuphelp.php?page=download_multi',
        ));

switch($DmAction) {
  // Formulaire pour choisir
  // un prfix diffrent que
  // celui par dfaut
  case 'name':
    $DownloadMulti->DmPanierPrefixZip();
  break;

  // Gnration des fichiers zip
  case 'genfic':
    @$prefix = $_POST['nom'];
    $DownloadMulti->DmPanierGenZip($prefix);
  break;
  
  // Liste le rpertoire utilisateur
  case 'liste':
    $DownloadMulti->DmPanierListeDir();
  break;

  // Vide les archives
  case 'del':
    @$fic = $_POST['fic'];
    $DownloadMulti->DmPanierDelUserDir($fic);
    $DownloadMulti->DmPanierListeDir();
  break;
  
  // Vide le panier
  case 'delcart':
    $DownloadMulti->DmPanierDelete();
    $DownloadMulti->DmPanierListeDir();
  break;
  
  default:
    $DownloadMulti->DmPanierListeDir();
  break;
}

// include menubar
include(PHPWG_ROOT_PATH.'include/menubar.inc.php');

$template->parse('DownloadMulti_panier');
include(PHPWG_ROOT_PATH.'include/page_tail.php');
?>
